/**
 * @function doSignget
 */
"use strict";

/** @lends doSignget */
function doSignget(User, Sign, signed) {
    return Sign
        .findById(signed.id)
        .then((sign) => {
            return User
                .findById(sign.user_id)
                .then((user) => {
                    let result = sign.toJSON();
                    result.user = user.toJSON();
                    return result;
                })
        });
}

module.exports = doSignget;
