/**
 * Test case for defineDigest.
 * Runs with mocha.
 */
"use strict";

const defineDigest = require('../lib/digesting/define_digest.js'),
    assert = require('assert');

describe('define-digest', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });


    it('Define digest', (done) => {
        let digest = defineDigest('pdkdf2:120:84');
        digest('hoge', 'fuge')
            .then(digest => {
                assert.ok(digest);
                done();
            });
    });
});

